Create a contact detail Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/account/{account_uuid}/contact-detail

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • account_uuid string Required
application/json

Body

  • type string Required

    Valid types: email and phone_number

    Value Description
    email Email
    phone_number Phone Number

    Values are email or phone_number.

  • name string Required

    Description of contact detail

  • value string Required

    Value of contact detail. If the type is phone number, the format defaults to GB. You can provide an array ["country" => "AU", "number" => "+61 2 3456 7890"] if you want to use a different format.

  • primary boolean

    Make this contact type the primary contact. Will make all other contact details of the same type no longer primary.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • type string

      Contact detail type

    • name string

      Contact detail description

    • value string

      Contact detail value

    • phone_number_meta object

      If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      Hide phone_number_meta attributes Show phone_number_meta attributes object
      • country string
      • formatted string
    • accounts object

      Accounts that own contact detail

      Hide accounts attributes Show accounts attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
POST /api/v1/account/{account_uuid}/contact-detail
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/account/6ff8f7f6-1eb3-3525-be4a-3932c805afed/contact-detail' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"type":"email","name":"Work phone number","value":"+443330903630","primary":true}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "type": "email",
  "name": "Work phone number",
  "value": "+443330903630",
  "primary": true
}
Response examples (200)
{
  "uuid": "d61ee4b7-e97f-40c1-bc15-b243b7314840",
  "created_at": "2026-06-08T16:08:03+01:00",
  "updated_at": "2026-06-08T16:08:03+01:00",
  "type": "phone_number",
  "name": "Work number",
  "value": "+443330903630",
  "phone_number_meta": {
    "country": "GB",
    "formatted": "0333 090 3630"
  },
  "accounts": {
    "uuid": "48680c6b-d7f6-4d48-b090-489cdcb72e33",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-06-08T16:08:03+01:00",
    "next_review_date": "2026-06-08T16:08:03+01:00",
    "previous_review_date": "2026-06-08T16:08:03+01:00",
    "anniversary_review_date": "2026-06-08T16:08:03+01:00",
    "terms_of_business_at": "2026-06-08T16:08:03+01:00",
    "client_agreement_at": "2026-06-08T16:08:03+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-06-08",
    "last_interaction_at": "2026-06-08 16:08:03",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  }
}